/* Programme GPS, pour developpement d'une centrale de navigation dériveur.
 *  
 *  Rémi PERRIN , Septembre 2016
 *  
 *  Lien de discussion sur le forum www.d-one-france.fr
 *  http://www.d-one-france.fr/index.php/forum/bricolage/214-speedo-tracker-pour-quelques-dizaines-d-euro#2350
 *  
 *  Les donnees sont dans idefix.txt
 *  
 *  Lecture de la carte SD
*/

 
#include <SPI.h>
#include <SD.h>

File myFile;

void setup() {
  // Open serial communications and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }


  Serial.print("Initializing SD card...");

  if (!SD.begin(4)) {
    Serial.println("initialization failed!");
    return;
  }
  Serial.println("initialization done.");

  
  // open the file for reading:
  myFile = SD.open("idefix.txt");
  if (myFile) {
    Serial.println("idefix.txt:");

    // read from the file until there's nothing else in it:
    while (myFile.available()) {
      Serial.write(myFile.read());
    }
    // close the file:
    myFile.close();
  } else {
    // if the file didn't open, print an error:
    Serial.println("error opening test.txt");
  }
}

void loop() {
  // nothing happens after setup
}


